data {
    int KR;
    int KC;
    int X[KR, KC, 2];
}
parameters {
    real g[KR, KC];
}
transformed parameters {
    real<lower = 0.0, upper = 1.0> p[KR, KC];
    for (i in 1:KR)
        for (j in 1:KC)
            p[i][j] = inv_logit(g[i][j]);
}
model {
    for (i in 1:KR)
        for (j in 1:KC) {
            g[i][j] ~ normal(0.0, 1000.0);
    }
    for (i in 1:KR)
        for (j in 1:KC) {
            X[i][j][2] ~ binomial(X[i][j][1] + X[i][j][2], p[i][j]);        
        }
}
